Name: aladin
Version: 7.5
Release: %mkrel 3
Summary: The Aladin Sky Atlas

Group: Sciences/Astronomy
License: GPLv3
URL: http://aladin.u-strasbg.fr/aladin.gml
Source0: AladinSrc.jar
Source1: aladin.bin
#Source2: Aladin-FAQ.html
#Source3: aladin.pdf
Source4: aladin.desktop
Source5: aladin.png

BuildRequires: java-devel
BuildRequires:  jpackage-utils
BuildRequires: desktop-file-utils
BuildRequires: ant

Requires:  java  >= 1.6
Requires:  jpackage-utils

BuildArch: noarch

%description
Aladin is an interactive software sky atlas allowing the user to visualize 
digitized astronomical images, superimpose entries from astronomical 
catalogues or databases.

%prep
%setup -q -c

%build
ant -lib .

%install
mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 *.jar %{buildroot}%{_javadir}
install -m 755 %{SOURCE1} %{buildroot}%{_bindir}/aladin
install -m 644 %{SOURCE5} %{buildroot}%{_datadir}/pixmaps

desktop-file-install \
  --dir=%{buildroot}/%{_datadir}/applications %{SOURCE4}

%files
%{_bindir}/aladin
%{_javadir}/*.jar
%{_datadir}/applications/aladin.desktop
%{_datadir}/pixmaps/aladin.png


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 7.5-3.mga4
+ Revision: 530577
- Mageia 4 Mass Rebuild

* Thu Jul 25 2013 joequant <joequant> 7.5-2.mga4
+ Revision: 457999
- fix broken icons
- imported package aladin

